#include <iostream>
#include <cstring>
using namespace std;
int arr[1000];
int main(){
    int n;
    char str[8000];
    cin >> n;

    for(int i=0; i < n; i++){
        cin>>str;
        int br=strlen(str);

        for(int p = 0; p < br; p++){
            for(int j = 0; j < br; j++){
                if(str[p] == str[j] && j!=p){
                    arr[i] = 1;
                }
            }
        }
    }
    for(int i = 0; i < n; i++){
        cout << arr[i];
    }
}
